unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, FileCtrl, StdCtrls, jpeg, Unit2, ExtCtrls;

type
  TForm1 = class(TForm)
    DriveComboBox1: TDriveComboBox;
    DirectoryListBox1: TDirectoryListBox;
    FileListBox1: TFileListBox;
    Label1: TLabel;
    Label4: TLabel;
    Image1: TImage;
    Memo1: TMemo;
    procedure FormCreate(Sender: TObject);
    procedure FileListBox1Change(Sender: TObject);
    procedure FileListBox1DblClick(Sender: TObject);
    procedure FileListBox1KeyPress(Sender: TObject; var Key: Char);
    procedure FileListBox1KeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
  I: integer;

implementation

{$R *.dfm}

procedure TForm1.FileListBox1Change(Sender: TObject);
begin
If FileExists(FileListBox1.FileName) then
 begin
  Image1.Picture.LoadFromFile(FileListBox1.FileName);
 end;
  Label1.Caption:='Nzev: '+Copy(FileListBox1.FileName,Length(FileListBox1.Directory)+2);
  Label4.Caption:='Rozmry: '+IntToStr(Image1.Picture.Width)+' x '+IntToStr(Image1.Picture.Height);

end;

procedure TForm1.FileListBox1DblClick(Sender: TObject);
begin
 Application.CreateForm(TForm2, Form2);
 Form2.Index:=FileListBox1.ItemIndex;
 Form2.Image1.Picture.LoadfromFile(FileListBox1.FileName);
 If Form2.ShowModal = mrOk then Form2.Free;
end;

procedure TForm1.FileListBox1KeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
if key=27 then
Application.Terminate;
end;

procedure TForm1.FileListBox1KeyPress(Sender: TObject; var Key: Char);
begin
if key=#13 then
FileListBox1DblClick(Sender);
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
 DirectoryListBox1.Directory:='C:\';
 If ParamCount>0 then
 begin
    If FileExists(ParamStr(1)) then
    begin
      Application.CreateForm(TForm2, Form2);
      DirectoryListBox1.Directory:=ExtractFileDir(ParamStr(1));
      Form2.Index:=0;
      Form2.Image1.Picture.LoadfromFile(ParamStr(0));
      If Form2.ShowModal = mrOk then Form2.Free;
    end;
    If DirectoryExists(ParamStr(1)) then DirectoryListBox1.Directory:=ParamStr(1);
 end;
end;

end.
