unit Unit2;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, jpeg, StdCtrls, ButtonGroup;

type
  TForm2 = class(TForm)
    Image1: TImage;
    Timer1: TTimer;
    Image2: TImage;
    ButtonGroup1: TButtonGroup;
    Label1: TLabel;
    KonecButton: TButton;
    procedure FormCreate(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
    procedure FormKeyDown(Sender: TObject; var Key: Word; Shift: TShiftState);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure ButtonGroup1KeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure FormPaint(Sender: TObject);
    procedure Image1DblClick(Sender: TObject);
    procedure KonecButtonClick(Sender: TObject);
  private
    { Private declarations }
  public
    index:integer;
  end;

var
  Form2: TForm2;


implementation
uses Unit1;
{$R *.dfm}

procedure TForm2.Button1Click(Sender: TObject);
begin
 index:=0;
 Image1.Picture.LoadFromFile(Form1.FileListBox1.Items[index]);
end;

procedure TForm2.Button2Click(Sender: TObject);
begin
 index:=index-1;
 If index<0 then index:=Form1.FileListBox1.Items.Count-1;
 Image1.Picture.LoadFromFile(Form1.FileListBox1.Items[index]);
end;

procedure TForm2.Button3Click(Sender: TObject);
begin
 inc(index);
 If index>=Form1.FileListBox1.Items.Count then index:=0;
 Image1.Picture.LoadFromFile(Form1.FileListBox1.Items[index]);;
end;

procedure TForm2.Button4Click(Sender: TObject);
begin
 index:=Form1.FileListBox1.Items.Count-1;
 Image1.Picture.LoadFromFile(Form1.FileListBox1.Items[index]);;
end;

procedure TForm2.ButtonGroup1KeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
Form2.SetFocus;
FormKeyDown(Sender,Key, Shift);
end;

procedure TForm2.FormCreate(Sender: TObject);
begin
Form2.Height:=Screen.Height;
Form2.Width:=Screen.Width;
end;


procedure TForm2.FormKeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
var
  klavesa: Word;
begin
case ord(key) of
27:IF Timer1.Enabled then Timer1.Enabled:=false else Application.Terminate;
13:Form2.ModalResult:=mrOk;
47:begin
  Image1.Stretch:=true;
  Image1.Picture.LoadFromFile(Form1.FileListBox1.Items[index]);
end;
42:begin
  Image1.Stretch:=false;
  Image1.Picture.LoadFromFile(Form1.FileListBox1.Items[index]);
end;
115:Timer1.Enabled:=true;
//else showmessage(inttostr(ord(key)));
end;
if GetAsyncKeyState(VK_HOME)<>0 then
 begin
  index:=0;
  Image1.Picture.LoadFromFile(Form1.FileListBox1.Items[index]);
 end;

if GetAsyncKeyState(VK_END)<>0 then
 begin
  index:=Form1.FileListBox1.Items.Count-1;
  Image1.Picture.LoadFromFile(Form1.FileListBox1.Items[index]);
 end;

if GetAsyncKeyState(VK_NEXT)<>0 then
 begin
  inc(index);
  If index>=Form1.FileListBox1.Items.Count then index:=0;
  Image1.Picture.LoadFromFile(Form1.FileListBox1.Items[index]);
 end;

if GetAsyncKeyState(VK_PRIOR)<> 0 then
 begin
  index:=index-1;
  If index<0 then index:=Form1.FileListBox1.Items.Count-1;
  Image1.Picture.LoadFromFile(Form1.FileListBox1.Items[index]);
 end;


end;

procedure TForm2.FormPaint(Sender: TObject);
begin
Form1.FileListBox1.ItemIndex:=index;
Label1.Caption:='Nzev: ' + Copy(Form1.FileListBox1.FileName,Length(Form1.FileListBox1.Directory)+2) +
                #13 + 'Rozmry: ' + IntToStr(Form1.Image1.Picture.Width) + ' x ' + IntToStr(Form1.Image1.Picture.Height) +
                #13 + 'Mtko: 1:' + floattostr(round(Image1.Width/Image1.Picture.Width*1000)/1000) +
                #13 + 'Poad: ' +  inttostr(index) + '/' + inttostr(Form1.FileListBox1.Items.Count);
end;

procedure TForm2.Image1DblClick(Sender: TObject);
begin
 Form2.ModalResult:=mrOk;
end;

procedure TForm2.KonecButtonClick(Sender: TObject);
begin
Application.Terminate;
end;

procedure TForm2.Timer1Timer(Sender: TObject);
begin
 index:=index+1;
 If index>=Form1.FileListBox1.Items.Count then index:=0;
 Image1.Picture.LoadFromFile(Form1.FileListBox1.Items[index]);
   
end;       

end.
